using Models;
using System.Diagnostics;

namespace LOLAPP.View
{
    public partial class Strat : ContentPage
    {
        public List<Strategie> StratList { get; set; }
        public Manager Mgr => (App.Current as App).MyManager;
        public Strat()
        {
            InitializeComponent();

            // Initialisez la liste des stratégies
            if (Mgr.UtilisateurConnecte != null)
            {
                StratList = Mgr.UtilisateurConnecte._strat;
            }
            else
            {
                StratList = null;
            }

            // Définissez le contexte de liaison de la collection sur cette page
            BindingContext = this;
        }

        private void AddButton_Clicked(object sender, EventArgs e)
        {
            // Créer une nouvelle instance de Strategie et l'ajouter à StratList
            List <Champion> champ = new();
            champ.Add(Mgr._champions[0]);
            champ.Add(Mgr._champions[1]);
            champ.Add(Mgr._champions[2]);
            champ.Add(Mgr._champions[3]);
            champ.Add(Mgr._champions[4]);
            Strategie nouvelleStrategie = new Strategie("test", "allllooo", champ);
            StratList.Add(nouvelleStrategie);

            // Faire défiler la ListView vers le nouvel élément ajouté
            stratListView.ScrollTo(nouvelleStrategie, ScrollToPosition.End, true);
        }


        private void DeleteButton_Clicked(object sender, EventArgs e)
        {
            var button = (Button)sender;
            var strat = (Strategie)button.CommandParameter;

            // Gérez la suppression de la stratégie spécifiée ici
            // Exemple : StratList.Remove(strat);
        }
    }
}
